Method: courses.courseWorkMaterials.create

Creates a course work material.

This method returns the following error codes:

  • PERMISSION_DENIED if the requesting user is not permitted to access the requested course, create course work material in the requested course, share a Drive attachment, or for access errors.
  • INVALID_ARGUMENT if the request is malformed or if more than 20
  • materials are provided.
  • NOT_FOUND if the requested course does not exist.
  • FAILED_PRECONDITION for the following request error:
    • AttachmentNotVisible

HTTP request

POST https://classroom.googleapis.com/v1/courses/{courseId}/courseWorkMaterials

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
courseId

string

Identifier of the course. This identifier can be either the Classroom-assigned identifier or an alias.

Query parameters

Parameters
previewVersion

enum (PreviewVersion)

Optional. The preview version of the API. This must be set in order to access new API capabilities made available to developers in the Preview Program.

Request body

The request body contains an instance of CourseWorkMaterial.

Response body

If successful, the response body contains a newly created instance of CourseWorkMaterial.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/classroom.courseworkmaterials

For more information, see the Authorization guide.